## kuserfeedback 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0)
-project(KUserFeedback VERSION 1.0.0)
+project(KUserFeedback VERSION 1.2.0)
 
 set(POLICY CMP0048 NEW)
 if(POLICY CMP0053)
@@ -25,7 +25,7 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 17)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -39,6 +39,12 @@
 include(FeatureSummary)
 include(GenerateExportHeader)
 
+if(QT_MAJOR_VERSION STREQUAL "5")
+    find_package(Qt5 CONFIG OPTIONAL_COMPONENTS DocTools)
+else()
+    find_package(Qt6 CONFIG OPTIONAL_COMPONENTS ToolsTools)
+endif()
+
 ecm_setup_version(PROJECT
     VARIABLE_PREFIX KUSERFEEDBACK
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kuserfeedback_version.h"
@@ -48,16 +54,16 @@
 # Dependencies
 #
 
-find_package(Qt5 5.4 NO_MODULE REQUIRED COMPONENTS Core Network)
-find_package(Qt5 NO_MODULE QUIET OPTIONAL_COMPONENTS Widgets Charts Test Qml Svg PrintSupport)
+find_package(Qt${QT_MAJOR_VERSION} 5.4 NO_MODULE REQUIRED COMPONENTS Core Network)
+find_package(Qt${QT_MAJOR_VERSION} NO_MODULE QUIET OPTIONAL_COMPONENTS Widgets Charts Test Qml Svg PrintSupport)
 find_package(QmlLint)
 if (NOT CMAKE_CROSSCOMPILING)
-    find_package(Qt5 NO_MODULE QUIET OPTIONAL_COMPONENTS Help)
+    find_package(Qt${QT_MAJOR_VERSION} NO_MODULE QUIET OPTIONAL_COMPONENTS Help)
 endif()
 
-set_package_properties(Qt5 PROPERTIES URL "http://qt-project.org/")
-set_package_properties(Qt5Widgets PROPERTIES TYPE RECOMMENDED PURPOSE "Required for feedback configuration and notification widgets.")
-set_package_properties(Qt5Charts PROPERTIES TYPE RECOMMENDED PURPOSE "Required for UserFeedbackConsole.")
+set_package_properties(Qt${QT_MAJOR_VERSION} PROPERTIES URL "http://qt-project.org/")
+set_package_properties(Qt${QT_MAJOR_VERSION}Widgets PROPERTIES TYPE RECOMMENDED PURPOSE "Required for feedback configuration and notification widgets.")
+set_package_properties(Qt${QT_MAJOR_VERSION}Charts PROPERTIES TYPE RECOMMENDED PURPOSE "Required for UserFeedbackConsole.")
 
 # debug suffixes for qmake compatibility
 if(WIN32)
@@ -113,8 +119,15 @@
 # CMake package config file generation
 #
 include(CMakePackageConfigHelpers)
+
+if (${QT_MAJOR_VERSION} GREATER_EQUAL 6)
+    set(_CONFIG_CMAKE_IN "KUserFeedbackConfig-Qt6.cmake.in")
+else()
+    set(_CONFIG_CMAKE_IN "KUserFeedbackConfig-Qt5.cmake.in")
+endif()
+
 configure_package_config_file(
-    ${CMAKE_CURRENT_SOURCE_DIR}/KUserFeedbackConfig.cmake.in
+    ${CMAKE_CURRENT_SOURCE_DIR}/${_CONFIG_CMAKE_IN}
     ${CMAKE_CURRENT_BINARY_DIR}/KUserFeedbackConfig.cmake
     INSTALL_DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KUserFeedback
     PATH_VARS KDE_INSTALL_INCLUDEDIR
@@ -127,7 +140,12 @@
 )
 
 install(EXPORT KUserFeedbackTargets DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KUserFeedback FILE KUserFeedbackTarget.cmake)
-install(FILES org_kde_UserFeedback.categories DESTINATION ${KDE_INSTALL_CONFDIR})
+
+if (ECM_VERSION VERSION_GREATER "5.58.0")
+    install(FILES org_kde_UserFeedback.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+else()
+    install(FILES org_kde_UserFeedback.categories DESTINATION ${KDE_INSTALL_CONFDIR})
+endif()
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
