=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,9 @@
 endif()
 
 list(FIND CMAKE_CXX_COMPILE_FEATURES cxx_generic_lambdas has_generic_lambdas)
-if(Qt5Charts_FOUND AND Qt5Svg_FOUND AND Qt5PrintSupport_FOUND AND NOT has_generic_lambdas LESS 0 AND NOT Qt5Core_VERSION VERSION_LESS 5.8)
+if(((Qt5Charts_FOUND AND Qt5Svg_FOUND AND Qt5PrintSupport_FOUND AND NOT Qt5Core_VERSION VERSION_LESS 5.8)
+        OR (Qt6Charts_FOUND AND Qt6Svg_FOUND AND Qt6PrintSupport_FOUND))
+    AND NOT has_generic_lambdas LESS 0 )
     if (ENABLE_CONSOLE)
         add_subdirectory(console)
     endif()
