=== src/console/CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 )
 
 add_library(KUserFeedbackConsole STATIC ${console_lib_srcs})
-target_link_libraries(KUserFeedbackConsole Qt5::Network)
+target_link_libraries(KUserFeedbackConsole Qt${QT_MAJOR_VERSION}::Network)
 target_include_directories(KUserFeedbackConsole PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_SOURCE_DIR}/..>")
 target_compile_features(KUserFeedbackConsole PRIVATE cxx_generic_lambdas)
 target_compile_definitions(KUserFeedbackConsole PUBLIC QT_DISABLE_DEPRECATED_BEFORE=0x050600 QT_DEPRECATED_WARNINGS)
@@ -81,11 +81,11 @@
 target_compile_features(KUserFeedbackConsoleApplication PRIVATE cxx_generic_lambdas)
 set_target_properties(KUserFeedbackConsoleApplication PROPERTIES OUTPUT_NAME UserFeedbackConsole)
 target_link_libraries(KUserFeedbackConsoleApplication
-    Qt5::Widgets
-    Qt5::Network
-    Qt5::Charts
-    Qt5::PrintSupport
-    Qt5::Svg
+    Qt${QT_MAJOR_VERSION}::Widgets
+    Qt${QT_MAJOR_VERSION}::Network
+    Qt${QT_MAJOR_VERSION}::Charts
+    Qt${QT_MAJOR_VERSION}::PrintSupport
+    Qt${QT_MAJOR_VERSION}::Svg
     KUserFeedbackWidgets
     KUserFeedbackConsole
     KUserFeedbackCommon
@@ -93,5 +93,6 @@
 
 install(TARGETS KUserFeedbackConsoleApplication ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 if(UNIX AND NOT APPLE)
-    install(FILES UserFeedbackConsole.desktop DESTINATION ${KDE_INSTALL_APPDIR})
+    install(FILES org.kde.kuserfeedback-console.desktop DESTINATION ${KDE_INSTALL_APPDIR})
+    install(FILES org.kde.kuserfeedback-console.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 endif()
