=== src/provider/core/CMakeLists.txt ===
--- 
+++ 
@@ -25,11 +25,11 @@
 add_library(KUserFeedbackCore ${userfeedback_core_srcs})
 set_target_properties(KUserFeedbackCore PROPERTIES
     SOVERSION ${KUSERFEEDBACK_SOVERSION}
-    VERSION ${KUSERFEEDBACK_VERSION_STRING}
+    VERSION ${KUSERFEEDBACK_VERSION}
 )
 generate_export_header(KUserFeedbackCore)
 
-target_link_libraries(KUserFeedbackCore PUBLIC Qt5::Core PRIVATE Qt5::Gui Qt5::Network)
+target_link_libraries(KUserFeedbackCore PUBLIC Qt${QT_MAJOR_VERSION}::Core PRIVATE Qt${QT_MAJOR_VERSION}::Gui Qt${QT_MAJOR_VERSION}::Network)
 if(ANDROID)
     target_link_libraries(KUserFeedbackCore PRIVATE GLESv2)
 endif()
