=== src/provider/qml/CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,8 @@
 
 target_link_libraries(KUserFeedbackQml
     KUserFeedbackCore
-    Qt5::Qml
+    Qt${QT_MAJOR_VERSION}::Qml
 )
 
-install(TARGETS KUserFeedbackQml DESTINATION ${QML_INSTALL_DIR}/org/kde/userfeedback)
-install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/userfeedback)
+install(TARGETS KUserFeedbackQml DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/userfeedback)
+install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/userfeedback)
