=== src/provider/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -9,11 +9,11 @@
 add_library(KUserFeedbackWidgets ${userfeedback_widgets_srcs})
 set_target_properties(KUserFeedbackWidgets PROPERTIES
     SOVERSION ${KUSERFEEDBACK_SOVERSION}
-    VERSION ${KUSERFEEDBACK_VERSION_STRING}
+    VERSION ${KUSERFEEDBACK_VERSION}
 )
 generate_export_header(KUserFeedbackWidgets)
-if(TARGET Qt5::Widgets)
-    target_link_libraries(KUserFeedbackWidgets PUBLIC Qt5::Widgets KUserFeedbackCore)
+if(TARGET Qt${QT_MAJOR_VERSION}::Widgets)
+    target_link_libraries(KUserFeedbackWidgets PUBLIC Qt${QT_MAJOR_VERSION}::Widgets KUserFeedbackCore)
 else()
     target_link_libraries(KUserFeedbackWidgets PUBLIC ${QT_QTGUI_LIBRARIES} KUserFeedbackCore)
 endif()
