=== debian/changelog ===
kuserfeedback (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Bump the reference version used to cleanup the old
    /etc/xdg/org_kde_UserFeedback.categories to the same version of this
    changelog entry, as versions in the past do not work when upgrading.
  * Mark the xauth, and xvfb build dependencies as !nocheck, as they are needed
    only during dh_auto_test.

 -- Pino Toscano <pino@debian.org>  Wed, 23 Feb 2022 07:47:33 +0100

kuserfeedback (1.2.0-1) unstable; urgency=medium

  * Update upstream signing key for Jonathan Ridell.
  * New upstream release (1.2.0).
  * Added myself to the uploaders.
  * Update the list of installed files, gracefully handle move of
    org_kde_UserFeedback.categories from /etc to /usr.
  * Update symbols from build for 1.2.0.
  * Refresh copyright information.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Feb 2022 23:45:13 +0100
