=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgmoore@kde.org>, Sandro Knauß <hefee@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Scarlett Moore <sgmoore@kde.org>, Sandro Knauß <hefee@debian.org>,
 Build-Depends: bison,
                cmake (>= 3.0~),
                debhelper-compat (= 13),
@@ -16,11 +17,11 @@
                qtdeclarative5-dev-tools,
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-               xauth,
-               xvfb,
-Build-Depends-Indep: qdoc-qt5,
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Build-Depends-Indep: qdoc-qt5
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/libraries/kuserfeedback
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kuserfeedback
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kuserfeedback.git
